version: 1

containers:
  main:
    image: harbor.nirvati.org/nirvati/ff-sync:latest
    ingress_port: 3000
    environment:
      BACKEND: sync.{{user}}-ff-sync.svc.cluster.local:80
      DATABASE_URL: mysql://token:{{ derive_entropy(identifier="token_db_password") }}@token-db.{{user}}-ff-sync.svc.cluster.local/tokenserver
  sync:
    image: harbor.nirvati.org/nirvati/syncstorage-rs:latest
    internal_ports:
      80: 80
    environment:
      SYNC_PORT: 80
      SYNC_HOST: 0.0.0.0
      SYNC_SYNCSTORAGE__DATABASE_URL: mysql://sync:{{ derive_entropy(identifier="db_password") }}@sync-db.{{user}}-ff-sync.svc.cluster.local/syncstorage
      SYNC_TOKENSERVER__DATABASE_URL: mysql://token:{{ derive_entropy(identifier="token_db_password") }}@token-db.{{user}}-ff-sync.svc.cluster.local/tokenserver
      SYNC_TOKENSERVER__RUN_MIGRATIONS: "true"
      SYNC_TOKENSERVER__ENABLED: "true"
      SYNC_MASTER_SECRET: {{ derive_entropy(identifier="master_secret") }}
      SYNC_TOKENSERVER__NODE_TYPE: mysql
      SYNC_TOKENSERVER__FXA_EMAIL_DOMAIN: api.accounts.firefox.com
      SYNC_TOKENSERVER__FXA_OAUTH_SERVER_URL: https://oauth.accounts.firefox.com/v1
      SYNC_TOKENSERVER__FXA_METRICS_HASH_SECRET: {{ derive_entropy(identifier="metrics_hash_secret") }}
      SYNC_TOKENSERVER__ADDITIONAL_BLOCKING_THREADS_FOR_FXA_REQUESTS: 2
      RUST_LOG: debug
  token-db:
    image: mariadb:11.3.2
    command: --transaction-isolation=READ-COMMITTED --binlog-format=ROW --skip-innodb-read-only-compressed
    mounts:
      data:
        db/token-data: /var/lib/mysql
    environment:
      MARIADB_PASSWORD: {{ derive_entropy(identifier="token_db_password") }}
      MARIADB_DATABASE: tokenserver
      MARIADB_USER: token
      MARIADB_ROOT_PASSWORD: {{ derive_entropy(identifier="token_db_root_password") }}
    user: 1000:1000
    internal_ports:
      3306: 3306
  sync-db:
    image: mariadb:11.3.2
    command: --transaction-isolation=READ-COMMITTED --binlog-format=ROW --skip-innodb-read-only-compressed
    mounts:
      data:
        db/data: /var/lib/mysql
    environment:
      MARIADB_PASSWORD: {{ derive_entropy(identifier="db_password") }}
      MARIADB_DATABASE: syncstorage
      MARIADB_USER: sync
      MARIADB_ROOT_PASSWORD: {{ derive_entropy(identifier="db_root_password") }}
    user: 1000:1000
    internal_ports:
      3306: 3306
